package com.rjconsultores.ventaboletos.vo.embarcada;

import java.util.ArrayList;
import java.util.List;

public class DispositivoEmbarcadaVO {
	private Long dispositivoId;
	private Long idAgencia;
	private String descAgencia;
	private String numagencia;
	private String descEquipamento;
	private Integer bloqueado;
	private Integer manutencao;
	private Integer baixado;
	private Long idempresa;
	private String descEmpresa;
	private List<EstadoDispositivoEmbarcadaVO> estados = new ArrayList<EstadoDispositivoEmbarcadaVO>();
	private String cnpjAgencia;
	private String enderecoAgencia;
	private String cnpjEmpresa;
	private String enderecoEmpresa;
	private String msg;
	private Integer estacionId;
	private List<EmpresaVO> empresasVenda = new ArrayList<EmpresaVO>();	 
	private List<FormaPagamentoVO> lsFormasPagamento;
	private List<SeguroTaxaEmbarqueVO> lsSeguroTaxaEmbarque;
	private List<TiposPassagensBloqueadasVO> lsTiposPassagensBloqueadas;
	private Boolean indVendeNaoBpe;
	private String versaoUltimaSinc;
	private String dataUltimaSinc;
	
	
	public void add(EstadoDispositivoEmbarcadaVO estado){
		estados.add(estado);
	}
	
	public Long getIdAgencia() {
		return idAgencia;
	}
	public void setIdAgencia(Long idAgencia) {
		this.idAgencia = idAgencia;
	}
	public String getDescAgencia() {
		return descAgencia;
	}
	public void setDescAgencia(String descAgencia) {
		this.descAgencia = descAgencia;
	}
	public String getDescEquipamento() {
		return descEquipamento;
	}
	public void setDescEquipamento(String descEquipamento) {
		this.descEquipamento = descEquipamento;
	}
	public Integer getBloqueado() {
		return bloqueado;
	}
	public void setBloqueado(Integer bloqueado) {
		this.bloqueado = bloqueado;
	}
	public Integer getManutencao() {
		return manutencao;
	}
	public void setManutencao(Integer manutencao) {
		this.manutencao = manutencao;
	}
	public Integer getBaixado() {
		return baixado;
	}
	public void setBaixado(Integer baixado) {
		this.baixado = baixado;
	}
	public Long getIdempresa() {
		return idempresa;
	}
	public void setIdempresa(Long idempresa) {
		this.idempresa = idempresa;
	}
	public String getDescEmpresa() {
		return descEmpresa;
	}
	public void setDescEmpresa(String descEmpresa) {
		this.descEmpresa = descEmpresa;
	}
	public List<EstadoDispositivoEmbarcadaVO> getEstados() {
		return estados;
	}
	public void setEstados(List<EstadoDispositivoEmbarcadaVO> estados) {
		this.estados = estados;
	}

	public String getCnpjAgencia() {
		return cnpjAgencia;
	}

	public void setCnpjAgencia(String cnpjAgencia) {
		this.cnpjAgencia = cnpjAgencia;
	}

	public String getEnderecoAgencia() {
		return enderecoAgencia;
	}

	public void setEnderecoAgencia(String enderecoAgencia) {
		this.enderecoAgencia = enderecoAgencia;
	}

	public String getCnpjEmpresa() {
		return cnpjEmpresa;
	}

	public void setCnpjEmpresa(String cnpjEmpresa) {
		this.cnpjEmpresa = cnpjEmpresa;
	}

	public String getEnderecoEmpresa() {
		return enderecoEmpresa;
	}

	public void setEnderecoEmpresa(String enderecoEmpresa) {
		this.enderecoEmpresa = enderecoEmpresa;
	}

	public Long getDispositivoId() {
		return dispositivoId;
	}

	public void setDispositivoId(Long dispositivoId) {
		this.dispositivoId = dispositivoId;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public Integer getEstacionId() {
		return estacionId;
	}

	public void setEstacionId(Integer estacionId) {
		this.estacionId = estacionId;
	}

	public List<EmpresaVO> getEmpresasVenda() {
		return empresasVenda;
	}

	public void setEmpresasVenda(List<EmpresaVO> empresasVenda) {
		this.empresasVenda = empresasVenda;
	}

	public String getNumagencia() {
		return numagencia;
	}

	public void setNumagencia(String numagencia) {
		this.numagencia = numagencia;
	}

	public Boolean getIndVendeNaoBpe() {
		return indVendeNaoBpe;
	}

	public void setIndVendeNaoBpe(Boolean indVendeNaoBpe) {
		this.indVendeNaoBpe = indVendeNaoBpe;
	}

	public String getVersaoUltimaSinc() {
		return versaoUltimaSinc;
	}

	public void setVersaoUltimaSinc(String versaoUltimaSinc) {
		this.versaoUltimaSinc = versaoUltimaSinc;
	}

	public String getDataUltimaSinc() {
		return dataUltimaSinc;
	}

	public void setDataUltimaSinc(String dataUltimaSinc) {
		this.dataUltimaSinc = dataUltimaSinc;
	}	
	
	public List<FormaPagamentoVO> getLsFormasPagamento() {
		return lsFormasPagamento;
	}
	
	public void setLsFormasPagamento(List<FormaPagamentoVO> lsFormasPagamento) {
		this.lsFormasPagamento = lsFormasPagamento;
	}
	
	public List<SeguroTaxaEmbarqueVO> getLsSeguroTaxaEmbarque() {
		return lsSeguroTaxaEmbarque;
	}
	
	public void setLsSeguroTaxaEmbarque(List<SeguroTaxaEmbarqueVO> lsSeguroTaxaEmbarque) {
		this.lsSeguroTaxaEmbarque = lsSeguroTaxaEmbarque;
	}
	
	public List<TiposPassagensBloqueadasVO> getLsTiposPassagensBloqueadas() {
		return lsTiposPassagensBloqueadas;
	}
	
	public void setLsTiposPassagensBloqueadas(List<TiposPassagensBloqueadasVO> lsTiposPassagensBloqueadas) {
		this.lsTiposPassagensBloqueadas = lsTiposPassagensBloqueadas;
	}
	
}
